<div class="container">
  <div class="card card-container">

    <h3 class="text-center">Admin Login</h3>

    <form class="form-signin" [formGroup]="loginform">
      <span id="reauth-email" class="reauth-email"></span>
      <div class="form-group">
        <input type="text" [(ngModel)]="email" placeholder="Enter Email" class="form-control" formControlName="email">
        <!-- <input type="email" id="inputEmail" class="form-control" placeholder="Email" formControlName="userName" required autofocus> -->
      <div *ngIf = "f.email.touched && f.email.invalid" class="alert alert-danger">
        <div *ngIf = "f.email.errors.required">
          Email is required
        </div>

      </div>
    </div>
      <div class="form-group">
        <input type="password" [(ngModel)]="password" placeholder="Enter Password" class="form-control" formControlName="password">
        <!-- <input type="password" id="inputPassword" class="form-control" placeholder="password" formControlName="userPassword" required> -->
      <div *ngIf = "f.password.touched && f.password.invalid" class="alert alert-danger">
        <div *ngIf = "f.password.errors.required">
          Password is required
        </div>

      </div>
    </div>
      <button class="btn btn-lg btn-success btn-block btn-signin" type="submit" (click)="signIn1()">Sign In</button>
       <a href="/forgot-password" class="forgot-password">
        Forgot the password?
      </a>
      <a routerLink="/" class="create-account">
        SignUp
      </a>
    </form>
   
  
    <!-- <div class="social-login">
      <p>or</p>
      <ul>
        <li><a><i class="fa fa-facebook" (click)="authService.FacebookAuth()"></i> Facebook</a></li>
        <li><a><i class="fa fa-google-plus" (click)="authService.GoogleAuth()"></i> Google+</a></li>

      </ul>
    </div> -->
    <div class="clearfix"></div>
  </div><!-- /card-container -->
</div><!-- /container -->























<!-- <div class="container">
  <div class="s-text-containt mt-2">
      <div class="s-text">
          <div class="s-product">
              Rider Club
          </div>
          <div class="z-error">
              <div id="error-msg"></div>
          </div>
          <form id="loginForm">
              <div class="group">
                  <div class="z-field">
                      <input type="text" #userName required>
                      <span class="highlight"></span>
                      <span class="bar"></span>
                      <label>Email</label>
                  </div>
              </div>

              <div class="group">
                  <div class="z-field">
                      <input type="password" #userPassword required>
                      <span class="highlight"></span>
                      <span class="bar"></span>
                      <label>Password</label>
                  </div>
              </div>
              <div class="forgotpass">
                <div class="formGroup">
                  <input type="button" class="btn btnPrimary" value="Log in" (click)="authService.SignIn(userName.value, userPassword.value)">
                  
                </div>
                  <a href="/forgot-password" style="background-color: transparent;">Forgot Password ?</a>
              </div>
             
            
          </form>
          
        <div class="formGroup">
          <button type="button" class="btn googleBtn" (click)="authService.GoogleAuth()">
            <i class="fa fa-google-plus"></i>
            Log in with Google
          </button>
        </div>
  
       
     
  
      <div class="redirectToLogin">
        <span>Don't have an account?<span class="redirect" routerLink="/register"> Sign Up</span></span>
      </div>
      </div>

  </div>
</div>  -->





<!-- <div class="displayTable">
    <div class="displayTableCell">
  
      <div class="authBlock">
        <h3>Sign In</h3>
        <div class="formGroup">
          <input type="text" class="formControl" placeholder="Username" #userName required>
        </div>
  
        <div class="formGroup">
          <input type="password" class="formControl" placeholder="Password" #userPassword required>
        </div>
  
        Calling SignIn Api from AuthService
        <div class="formGroup">
          <input type="button" class="btn btnPrimary" value="Log in" (click)="authService.SignIn(userName.value, userPassword.value)">
        </div>
  
        <div class="formGroup">
          <span class="or"><span class="orInner">Or</span></span>
        </div>
  
        Calling GoogleAuth Api from AuthService
        <div class="formGroup">
          <button type="button" class="btn googleBtn" (click)="authService.GoogleAuth()">
            <i class="fab fa-google-plus-g"></i>
            Log in with Google
          </button>
        </div>
  
        <div class="forgotPassword">
          <span routerLink="/forgot-password">Forgot Password?</span>
        </div>
      </div>
  
      <div class="redirectToLogin">
        <span>Don't have an account?<span class="redirect" routerLink="/register-user"> Sign Up</span></span>
      </div>
  
    </div>
  </div> -->